commit e87e7324555
Author: Bruce Momjian <bruce@momjian.us>
Date:   Mon May 13 20:55:13 2024 -0400

    doc PG 17 relnotes:  add item about libpq large data transfers
    
    Reported-by: Jelte Fennema-Nio
    
    Discussion: https://postgr.es/m/CAGECzQTz5aUqLEL6daLd2Hu2FXS_LOSh4keDndJ1fwThsb_b5w@mail.gmail.com
    
    Reviewed-by: Joe Conway
    
    Backpatch-through: master

diff --git a/doc/src/sgml/release-17.sgml b/doc/src/sgml/release-17.sgml
index 9dd3954f3c2..38c14970822 100644
--- a/doc/src/sgml/release-17.sgml
+++ b/doc/src/sgml/release-17.sgml
@@ -1901,6 +1901,17 @@ Add libpq function PQsetChunkedRowsMode to allow retrieval of results in chunks
 </para>
 </listitem>
 
+<!--
+Author: David Rowley <drowley@postgresql.org>
+2024-04-07 [c4ab7da60] Avoid needless large memcpys in libpq socket writing
+-->
+
+<listitem>
+<para>
+Allow libpq to more efficiently transfer large blocks of data (Melih Mutlu)
+</para>
+</listitem>
+
 <!--
 Author: Heikki Linnakangas <heikki.linnakangas@iki.fi>
 2024-04-08 [d39a49c1e] Support TLS handshake directly without SSLRequest negoti
